apiVersion: tekton.dev/v1beta1
kind: Task
metadata:
  name: zip
spec:
  description: >-
   Zip files
  params:
  - name: source
    description: Source to zip
    type: string
  - name: destination
    description: Zip file destination
    type: string
  - name: year
    description: To be removed
    type: string
    default: ""
  workspaces:
  - name: work
    description: Where to read and write files from.
  steps:
  - env:
    - name: HOME
      value: /tekton/home
    name: zip
    image: docker-images.jobtechdev.se/script-container/script-container:latest
    script: |
      #!/usr/bin/env sh

      zip $(params.destination) $(params.source)
    workingDir: $(workspaces.work.path)
